package com.avif.demo.dialog

import android.app.Dialog
import android.content.Context
import android.view.LayoutInflater
import android.widget.TextView
import androidx.appcompat.app.AlertDialog
import com.avif.demo.R

class LoadingDialog private constructor(context: Context){

    companion object {
        private var instance: LoadingDialog? = null

        fun getInstance(context: Context): LoadingDialog {
            if (instance == null) {
                instance = LoadingDialog(context)
            }
            return instance!!
        }
    }

    private var dialog: Dialog? = null
    private var textView: TextView? = null

    init {
        val builder = AlertDialog.Builder(context)
        val inflater = LayoutInflater.from(context)
        val view = inflater.inflate(R.layout.dialog_loading, null)
        textView = view.findViewById(R.id.textView)
        builder.setView(view)
        dialog = builder.create()
        dialog?.setCancelable(false)
        dialog?.setCanceledOnTouchOutside(false)
    }

    fun setText(str: String) {
        textView?.text = str
    }

    fun show() {
        dialog?.show()
    }

    fun dismiss() {
        dialog?.dismiss()
    }

}