package com.avif.demo.util

import android.content.Context
import android.util.Log
import com.avif.demo.entity.CsvEntity
import java.io.BufferedReader
import java.io.InputStreamReader

object CsvUtil {

    private const val TAG = "CsvUtil"

    fun parseCsv(context: Context): List<CsvEntity> {
        val resultList = mutableListOf<CsvEntity>()
        context.assets.open("test_urls.csv").use {
                inputStream -> BufferedReader(InputStreamReader(inputStream)).use { reader ->
                    var line: String?
                    while (reader.readLine().also { line = it } != null) {
                        val items = line!!.split(",")
                        if (items.size == 2) {
                            resultList.add(CsvEntity(items[0].trim(), items[1].trim()))
                        }
                    }
                }
        }
        Log.e(TAG, "======>获取全部Csv数据成功")
        return resultList
    }

}