package com.avif.demo.util

import android.content.Context
import android.graphics.Bitmap
import com.avif.demo.BitmapCallback
import com.bumptech.glide.Glide
import com.bumptech.glide.load.DataSource
import com.bumptech.glide.load.engine.GlideException
import com.bumptech.glide.request.RequestListener
import com.bumptech.glide.request.RequestOptions
import com.bumptech.glide.request.target.Target
import java.lang.Exception

object GlideUtil {

    private const val TAG = "GlideUtil"

    /**
     * 使用Glide下载图片
     */
    fun downloadBitmap(context: Context, url: String, callback: BitmapCallback) {
        Glide.with(context)
            .asBitmap()
            .load(url)
            .apply(RequestOptions())
            .addListener(object : RequestListener<Bitmap?> {
                override fun onLoadFailed(
                    e: GlideException?,
                    model: Any?,
                    target: Target<Bitmap?>,
                    isFirstResource: Boolean
                ): Boolean {
                    callback.onError(Exception(e))
                    return false
                }

                override fun onResourceReady(
                    resource: Bitmap,
                    model: Any,
                    target: Target<Bitmap?>?,
                    dataSource: DataSource,
                    isFirstResource: Boolean
                ): Boolean {
                    callback.onSuccess(resource)
                    return false
                }
            }).submit()
    }

}